/**
 * Get SSO identity provider login URL
 *
 * @public
 */
export declare const getSSOLoginURL: (idp: any, path?: string, host?: string) => string;
/**
 * @public
 */
export interface IDP {
    id: string;
    type: string;
}
/**
 * @public
 */
export interface IDPResponse {
    ID: string;
    TYPE: string;
}
/**
 * Request SSO identity provider list
 *
 * @public
 */
export declare const fetchIDPs: (path?: string, host?: string) => Promise<IDP[]>;
//# sourceMappingURL=sso.d.ts.map